Summary: GNU Bourne Again Shell (bash)
Name: bash
Version: 2.03
Release: 1
Group: Shells
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/pub/gnu/bash/bash-%{version}.tar.gz
Patch0: bash-%{version}-path.patch
Patch1: bash-%{version}-security.patch
BuildRoot: /var/tmp/%{name}-root

%description
Bash is an sh-compatible command language interpreter that
executes commands read from the standard input or from a
file.  Bash also incorporates useful features from the
Korn and C shells (ksh and csh).

Bash is ultimately intended to be a conformant implementation
of the IEEE Posix Shell and Tools specification (IEEE
Working Group 1003.2).


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr i386-linux
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9f $RPM_BUILD_ROOT/usr/info/bash.info
mkdir $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/bash $RPM_BUILD_ROOT/bin
ln -sf bash   $RPM_BUILD_ROOT/bin/sh
ln -sf bash.1 $RPM_BUILD_ROOT/usr/man/man1/sh.1
# More need to be done here per suggestion by doc/README
install -m644 doc/builtins.1 $RPM_BUILD_ROOT/usr/man/man1


%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COMPAT COPYING INSTALL MANIFEST NEWS NOTES README Y2K
%doc doc/FAQ doc/INTRO
/bin/*
/usr/bin/*
/usr/info/*
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Mar 13 1999 Hao Li <hli@wag.caltech.edu>
- bash-2.03-1. Notes:
- /etc/bashrc is never used by bash so removed;
- Bash needs no install-info. It's always listed in /usr/info/dir to 
  prevent prereq loops;
- No need to touch /etc/shells because bash is always installed.
  Also to prevent chicken-egg problem.
